package com.red.circle.console.app.service.app.game;

import com.red.circle.framework.dto.PageResult;
import com.red.circle.game.fruit.inner.model.cmd.GameFruitBountyConfigQryCmd;
import com.red.circle.game.fruit.inner.model.cmd.GameFruitTaskConfigQryCmd;
import com.red.circle.game.fruit.inner.model.dto.GameFruitAwardPictureDTO;
import com.red.circle.game.fruit.inner.model.dto.GameFruitBountyConfigDTO;
import com.red.circle.game.fruit.inner.model.dto.GameFruitTaskConfigDTO;
import java.util.List;

/**
 * 摩天轮游戏赏金任务配置服务
 *
 * @author zongpubin on 2023/12/13
 */
public interface GameFruitTaskConfigService {

  PageResult<GameFruitBountyConfigDTO> getGameFruitBountyConfig(GameFruitBountyConfigQryCmd query);

  void addGameFruitBountyConfig(GameFruitBountyConfigDTO param);

  void deleteGameFruitBountyConfig(Long id);

  PageResult<GameFruitTaskConfigDTO> getGameFruitTaskConfig(GameFruitTaskConfigQryCmd query);

  void addGameFruitTaskConfig(GameFruitTaskConfigDTO param);

  void deleteGameFruitTaskConfig(Long id);

  List<GameFruitAwardPictureDTO> getGameFruitImages(String sysOrigin);
}
